tbb::internal::intrusive_list_node Struct Reference

Data structure to be inherited by the types that can form intrusive lists. More...

`#include <intrusive_list.h>`

Inheritance diagram for tbb::internal::intrusive_list_node:
Collaboration diagram for tbb::internal::intrusive_list_node:

## Public Attributes

intrusive_list_node * | my_prev_node
intrusive_list_node * | my_next_node

## Detailed Description

Data structure to be inherited by the types that can form intrusive lists.

Intrusive list is formed by means of the member_intrusive_list<T> template class. Note that type T must derive from intrusive_list_node either publicly or declare instantiation member_intrusive_list<T> as a friend. This class implements a limited subset of std::list interface.

Definition at line 31 of file intrusive_list.h.

## Member Data Documentation

## my_next_node

intrusive_list_node * tbb::internal::intrusive_list_node::my_next_node

Definition at line 33 of file intrusive_list.h.

Referenced by tbb::internal::intrusive_list_base< List, T >::assert_ok(), tbb::internal::intrusive_list_base< List, T >::begin(), tbb::internal::intrusive_list_base< List, T >::empty(), tbb::internal::intrusive_list_base< List, T >::intrusive_list_base(), tbb::internal::intrusive_list_base< List, T >::iterator_impl< DereferenceType >::operator++(), tbb::internal::intrusive_list_base< List, T >::push_front(), and tbb::internal::intrusive_list_base< List, T >::remove().

## my_prev_node

intrusive_list_node* tbb::internal::intrusive_list_node::my_prev_node

Definition at line 32 of file intrusive_list.h.

Referenced by tbb::internal::intrusive_list_base< List, T >::assert_ok(), tbb::internal::intrusive_list_base< List, T >::intrusive_list_base(), tbb::internal::intrusive_list_base< List, T >::iterator_impl< DereferenceType >::operator--(), tbb::internal::intrusive_list_base< List, T >::push_front(), and tbb::internal::intrusive_list_base< List, T >::remove().

The documentation for this struct was generated from the following file:

- intrusive_list.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.